/**
 * Copyright 2009-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.plan.deployer.api;

import org.ow2.util.ee.deploy.api.deployable.IDeployable;
import org.ow2.util.ee.deploy.api.deployer.IDeployer;
import org.ow2.util.plan.deploy.deployable.api.RepositoryDeployable;
import org.ow2.util.plan.reader.repository.IRepositoryDataReader;

/**
 * Interface for the repository deployables deployer.
 * @author Mickaël LEDUQUE
 */
public interface IRepositoryDeployer extends IDeployer<RepositoryDeployable> {

    /**
     * Sets the reader the deployer will use.
     * @param reader the new reader.
     */
    public void setReader(IRepositoryDataReader reader);

    /**
     * Returns the reader.
     * @return the reader.
     */
    public IRepositoryDataReader getReader();

    /**
     * Returns the number of deployed repositories deployables.
     * @return the number of deployed deployables.
     */
    public int getDeployablesCount();
}
