/**
 * Copyright 2009-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.plan.deployer.impl.condition.script;

import java.util.List;

import javax.script.ScriptEngine;
import javax.script.ScriptEngineFactory;

/**
 * A {@code ForwardingScriptEngineFactory} is ...
 *
 * @author Guillaume Sauthier
 */
public abstract class ForwardingScriptEngineFactory implements ScriptEngineFactory {

    protected abstract ScriptEngineFactory delegate();

    public String getEngineName() {
        return delegate().getEngineName();
    }

    public String getEngineVersion() {
        return delegate().getEngineVersion();
    }

    public List<String> getExtensions() {
        return delegate().getExtensions();
    }

    public List<String> getMimeTypes() {
        return delegate().getMimeTypes();
    }

    public List<String> getNames() {
        return delegate().getNames();
    }

    public String getLanguageName() {
        return delegate().getLanguageName();
    }

    public String getLanguageVersion() {
        return delegate().getLanguageVersion();
    }

    public Object getParameter(String key) {
        return delegate().getParameter(key);
    }

    public String getMethodCallSyntax(String obj, String m, String... args) {
        return delegate().getMethodCallSyntax(obj, m, args);
    }

    public String getOutputStatement(String toDisplay) {
        return delegate().getOutputStatement(toDisplay);
    }

    public String getProgram(String... statements) {
        return delegate().getProgram(statements);
    }

    public ScriptEngine getScriptEngine() {
        return delegate().getScriptEngine();
    }
}
