/**
 * Copyright 2009-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.plan.bindings.exceptions;

/**
 * Exception throw when an invalid repository is encountered.
 * @author Mickaël LEDUQUE
 */
public class InvalidRepositoryException extends Exception {

    /**
     * Serial Version UID.
     */
    private static final long serialVersionUID = -7316302158391217905L;


    /**
     * {@inheritDoc}
     */
    public InvalidRepositoryException() {
        super();
    }

    /**
     * {@inheritDoc}
     */
    public InvalidRepositoryException(final Throwable t) {
        super(t);
    }

    /**
     * {@inheritDoc}
     */
    public InvalidRepositoryException(final String message) {
        super(message);
    }


    /**
     * {@inheritDoc}
     */
    public InvalidRepositoryException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
